Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class UserData

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.movies.media.UserData

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class UserData
extends QTObject
implements quicktime.jdirect.QuickTimeLib

The UserData class implements the corresponding data structure of the Movie Toolbox. This structure specifies the user data list for an operation. You obtain a user data list identifier by calling the GetMovieUserData, GetTrackUserData, or GetMediaUserData functions (described on page 2-231 of Inside Macintosh: QuickTime, page 2-232 of Inside Macintosh: QuickTime, and page 2-233 of Inside Macintosh: QuickTime, respectively).

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`UserData()` This constructor creates a UserData object.
`UserData(QTHandle handle)` This constructor creates a UserData object from a handle that is in the standard user data storage format.

Method Summary
`void` | `addData(QTHandleRef data, int udType)` This method allows your application to add an item to a user data list.
`void` | `addText(QTHandleRef data, int udType, int index, int itlRegionTag)` This method allows your application to place language-tagged text into an item in a user data list.
`void` | `addText(java.lang.String dataStr, int udType, int index, int itlRegionTag)` This method allows your application to place language-tagged text into an item in a user data list.
`int` | `countType(int udType)` This method allows you to determine the number of items of a given type in a user data list.
`static UserData` | `fromGraphicsExporter(GraphicsExporter ge)` This method allows your application to obtain access to a GraphicsExporter user data list.
`static UserData` | `fromMedia(Media m)` This method allows your application to obtain access to a media's user data list.
`static UserData` | `fromMovie(Movie m)` This method allows your application to obtain access to a movie's user data list.
`static UserData` | `fromSequenceGrabber(SequenceGrabber sg)` Retrieves the current settings of all channels used by the sequence grabber.
`static UserData` | `fromSGChannel(SGChannel chan)` Retrieves the current settings of the SequenceGrabber channel.
`static UserData` | `fromTrack(Track t)` This method allows your application to obtain access to a track's user data list.
`QTHandle` | `getData(int udType, int index)` This method returns a specified user data item.
`QTPointer` | `getDataItem(int dataSize, int udType, int index)` This method returns a specified user data item.
`int` | `getNextType(int udType)` This method allows you to retrieve the next user data type in a specified user data list.
`QTHandle` | `getText(int udType, int index, short itlRegionTag)` Deprecated. since QTJava 4, see getTextAsString
`java.lang.String` | `getTextAsString(int udType, int index, int itlRegionTag)` This method allows your application to retrieve language-tagged text from an item in a user data list.
`QTHandle` | `putIntoHandle()` This method returns a handle which contains a publicly parseable form of the user data.
`void` | `removeData(int udType, int index)` This method removes an item from a user data list.
`void` | `removeText(int udType, int index, int itlRegionTag)` This method allows your application to remove language-tagged text from an item in a user data list.
`void` | `setDataItem(QTPointerRef data, int udType, int index)` This method allows your application to set an item in a user data list.

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserData

    public UserData()
             throws StdQTException

  This constructor creates a UserData object.
  QuickTime::NewUserData()

  ### UserData

      public UserData(QTHandle handle)
               throws StdQTException

    This constructor creates a UserData object from a handle that is in the standard user data storage format.
    QuickTime::NewUserDataFromHandle()
  Parameters:
    `handle` - Specifies the handle for the user data to be constructed.

Method Detail

### fromGraphicsExporter

    public static UserData fromGraphicsExporter(GraphicsExporter ge)
                                         throws StdQTException

  This method allows your application to obtain access to a GraphicsExporter user data list.
  QuickTime::GraphicsExportGetMetaData()

  Returns:
    a reference to the GraphicsExporter's user data list.
  See Also:
    `GraphicsExporter.getMetaData()`

### fromMovie

    public static UserData fromMovie(Movie m)
                              throws StdQTException

  This method allows your application to obtain access to a movie's user data list.
  QuickTime::GetMovieUserData()

  Returns:
    a reference to the movie's user data list.
  See Also:
    `Movie.getUserData()`

### fromSequenceGrabber

    public static UserData fromSequenceGrabber(SequenceGrabber sg)
                                        throws StdQTException

  Retrieves the current settings of all channels used by the sequence grabber. The sequence grabber places all of this configuration information into a Movie Toolbox user data list.
  QuickTime::SGGetSettings

  Returns:
    A Movie Toolbox user data list that contains the configuration information.
  See Also:
    `SequenceGrabber.getSettings()`

### fromSGChannel

    public static UserData fromSGChannel(SGChannel chan)
                                  throws StdQTException

  Retrieves the current settings of the SequenceGrabber channel. The sequence grabber places this configuration information into a Movie Toolbox user data list.
  QuickTime::SGGetChannelSettings

  Parameters:
    `ud` - Specifies a user data list with configuration information for the sequence grabber.
  See Also:
    `SGChannel.getSettings()`

### fromTrack

    public static UserData fromTrack(Track t)
                              throws StdQTException

  This method allows your application to obtain access to a track's user data list.
  QuickTime::GetTrackUserData()

  Returns:
    a UserData object referencing the track's user data list.
  See Also:
    `Track.getUserData()`

### fromMedia

    public static UserData fromMedia(Media m)
                              throws StdQTException

  This method allows your application to obtain access to a media's user data list.
  QuickTime::GetMediaUserData()

  Returns:
    a UserData object for the media's user data list.
  See Also:
    `Media.getUserData()`

### putIntoHandle

    public QTHandle putIntoHandle()
                           throws QTException

  This method returns a handle which contains a publicly parseable form of the user data.
  QuickTime::PutUserDataIntoHandle()

  Returns:
    A QTHandle object which contains a publicly parseable form of the user data.

### getData

    public QTHandle getData(int udType,
                            int index)
                     throws QTException

  This method returns a specified user data item.
  QuickTime::GetUserData()

  Parameters:
    `udType` - Specifies the item's type value.
    `index` - Specifies the item's index value.
  Returns:
    The handle which contains the data from the specified item.

### addData

    public void addData(QTHandleRef data,
                        int udType)
                 throws StdQTException

  This method allows your application to add an item to a user data list.
  QuickTime::AddUserData()

  Parameters:
    `data` - Specifies the handle to the data to be added to the user data list.
    `udType` - Specifies the item's type value.

### removeData

    public void removeData(int udType,
                           int index)
                    throws StdQTException

  This method removes an item from a user data list.
  QuickTime::RemoveUserData()

  Parameters:
    `udType` - Specifies the item's type value.
    `index` - Specifies the item's index value.

### countType

    public int countType(int udType)
                  throws StdQTException

  This method allows you to determine the number of items of a given type in a user data list.
  QuickTime::CountUserDataType()

  Parameters:
    `udType` - Specifies the type.
  Returns:
    The number of items of the specified type in the user data list.

### getNextType

    public int getNextType(int udType)
                    throws StdQTException

  This method allows you to retrieve the next user data type in a specified user data list.
  QuickTime::GetNextUserDataType()

  Parameters:
    `udType` - Specifies a user data type.
  Returns:
    The next user data type value in the specified user data list.

### getDataItem

    public QTPointer getDataItem(int dataSize,
                                 int udType,
                                 int index)
                          throws QTException

  This method returns a specified user data item.
  QuickTime::GetUserDataItem()

  Parameters:
    `dataSize` - Specifies the size of the data.
    `udType` - Specifies the item's type value.
    `index` - Specifies the item's index value.
  Returns:
    a QTPointer object that received the data from the specified item.

### setDataItem

    public void setDataItem(QTPointerRef data,
                            int udType,
                            int index)
                     throws StdQTException

  This method allows your application to set an item in a user data list.
  QuickTime::SetUserDataItem()

  Parameters:
    `data` - Specifies the pointer to the data item to be set in a user data list.
    `udType` - Specifies the type value assigned to the new item.
    `index` - Specifies the item's index value.

### addText

    public void addText(QTHandleRef data,
                        int udType,
                        int index,
                        int itlRegionTag)
                 throws StdQTException

  This method allows your application to place language-tagged text into an item in a user data list.
  QuickTime::AddUserDataText()

  Parameters:
    `data` - Specifies the handle to the data to be added to the user data list.
    `udType` - Specifies the type that is to be assigned to the new item.
    `index` - Specifies the item to which the text is to be added.
    `itlRegionTag` - Specifies the region code of the text to be added.

### addText

    public void addText(java.lang.String dataStr,
                        int udType,
                        int index,
                        int itlRegionTag)
                 throws StdQTException

  This method allows your application to place language-tagged text into an item in a user data list.
  QuickTime::AddUserDataText()

  Parameters:
    `data` - Specifies the handle to the data to be added to the user data list.
    `udType` - Specifies the type that is to be assigned to the new item.
    `index` - Specifies the item to which the text is to be added.
    `itlRegionTag` - Specifies the region code of the text to be added.

### getText

    public QTHandle getText(int udType,
                            int index,
                            short itlRegionTag)
                     throws QTException

  Deprecated. since QTJava 4, see getTextAsString

  This method allows your application to retrieve language-tagged text from an item in a user data list.
  QuickTime::GetUserDataText()

  Parameters:
    `udType` - Specifies the item's type value.
    `index` - Specifies the item's index value.
    `itlRegionTag` - Specifies the language code of the text to be retrieved.
  Returns:
    a QTHandle object that received the data.

### getTextAsString

    public java.lang.String getTextAsString(int udType,
                                            int index,
                                            int itlRegionTag)
                                     throws QTException

  This method allows your application to retrieve language-tagged text from an item in a user data list.
  QuickTime::GetUserDataText()

  Parameters:
    `udType` - Specifies the item's type value.
    `index` - Specifies the item's index value.
    `itlRegionTag` - Specifies the language code of the text to be retrieved.
  Returns:
    a QTHandle object that received the data.

### removeText

    public void removeText(int udType,
                           int index,
                           int itlRegionTag)
                    throws StdQTException

  This method allows your application to remove language-tagged text from an item in a user data list.
  QuickTime::RemoveUserDataText()

  Parameters:
    `udType` - Specifies the item's type value.
    `index` - Specifies the item's index value.
    `itlRegionTag` - Specifies the language code of the text to be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD